rsvg2-sharp 2.16.0.0 2.18.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object To be added To be added
- Constructor
  2.18.0.0
  Returns a new rsvg handle.
  This handle can be used for dynamically loading an image. You need to feed it data using , then call when done. No more than one image can be loaded with one handle.
- Constructor
  2.18.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  2.18.0.0
  a
  To be added

  This is not a wrapper around rsvg_handle_new_from_data. This just passes the pointer as the pointer to the Glib object. It probably requires the pointer to be already initialized (like the result of rsvg_handle_new_from_data is).

- Constructor
  2.18.0.0
  To be added.
  To be added.
  To be added.
- Property
  2.18.0.0
  System.String To be added. To be added. To be added.
- Method
  2.18.0.0
  System.Boolean Close, to indicate that loading the image is complete. if the loader closed successfully, or if there was an error. This will return if the loader closed successfully.
- Property
  2.18.0.0
  System.String To be added a To be added
- Property
  2.18.0.0
  Rsvg.DimensionData To be added. To be added. To be added.
- Property
  2.18.0.0
  System.Double Sets the DPI for the all future outgoing pixbufs. Dots Per Inch (aka Pixels Per Inch) Common values are 72, 90, and 300 DPI. Passing a number <= 0 to dpi will reset the DPI to whatever the default value happens to be.
- Method
  System.Void Frees handle.
- Method
  2.18.0.0
  Gdk.Pixbuf `` To be added. To be added. To be added. To be added.
- Property
  2.18.0.0
  GLib.GType To be added. To be added. To be added.
- Property
  2.18.0.0
  System.String To be added. To be added. To be added.
- Method
  Rsvg.Handle See , except that this will handle GZipped SVGs (svgz) a Use the returned handle identically to how you use a handle returned from
- Method
  System.Void `` `` To be added a a To be added
- Property
  2.18.0.0
  Gdk.Pixbuf The pixbuf loaded by handle. a If insufficient data has been read to create the pixbuf, or an error occurred in loading, then will be returned.
- Method
  2.18.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.18.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.18.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added a a a To be added
- Property
  2.18.0.0
  System.Obsolete
  Rsvg.SizeFunc To be added a To be added
- Property
  2.18.0.0
  System.String To be added a To be added
- Method
  2.18.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.18.0.0
  System.Boolean `` `` Pointer to svg data length of the buffer in bytes Loads the next bytes a This will return if the data was loaded successful, and if an error occurred. In the latter case, the loader will be closed, and will not accept further writes.